javax.swing.plaf.basic

## Class BasicScrollPaneUI.MouseWheelHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicScrollPaneUI.MouseWheelHandler

All Implemented Interfaces:
  MouseWheelListener, EventListener

Enclosing class:
  BasicScrollPaneUI

    protected class BasicScrollPaneUI.MouseWheelHandler
    extends Object
    implements MouseWheelListener

MouseWheelHandler is an inner class which implements the MouseWheelListener interface. MouseWheelHandler responds to MouseWheelEvents by scrolling the JScrollPane appropriately. If the scroll pane's `isWheelScrollingEnabled` method returns false, no scrolling occurs.

Since:
  1.4
See Also:
  `JScrollPane.isWheelScrollingEnabled()`, `BasicScrollPaneUI.createMouseWheelListener()`, `MouseWheelListener`, `MouseWheelEvent`

### Constructor Summary

Constructors
`protected` `BasicScrollPaneUI.MouseWheelHandler()`

### Method Summary

Methods
`void` `mouseWheelMoved(MouseWheelEvent e)` Called when the mouse wheel is rotated while over a JScrollPane.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicScrollPaneUI.MouseWheelHandler

    protected BasicScrollPaneUI.MouseWheelHandler()

### Method Detail

#### mouseWheelMoved

    public void mouseWheelMoved(MouseWheelEvent e)

Called when the mouse wheel is rotated while over a JScrollPane.

Specified by:
  `mouseWheelMoved` in interface `MouseWheelListener`
Parameters:
  `e` - MouseWheelEvent to be handled
Since:
  1.4
See Also:
  `MouseWheelEvent`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.